%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

%define cpanname Net-Server

Name:    perl-%{cpanname}
Version: 0.97
Release: 1
Summary: Extensible, general Perl server engine

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/%{cpanname}/
Source0:   http://cpan.org/authors/id/R/RH/RHANDOM/%{cpanname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker)
# Check requirements
BuildRequires: perl(IO::Multiplex)
BuildRequires: perl(Test::Builder)

Requires: perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires: perl(IO::Multiplex)
Requires: perl >= 5.8.8

%description
An extensible, class oriented module written in perl and intended to
be the back end layer of internet protocol servers.


%prep
%setup -q -n %{cpanname}-%{version}
chmod u+rw-x,go-rwx examples/*


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -depth -type d -exec rmdir {} 2>/dev/null ';'

chmod -R u+rwX,go-rwx ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README Changes examples
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/Server
%{perl_vendorlib}/Net/Server.pm
%{perl_vendorlib}/Net/Server.pod
%{perl_vendorlib}/Net/Server/*
%{_mandir}/man?/Net::Server*


%changelog
* Tue Oct 14 2008 Michael Perzl <michael@perzl.org> - 0.97-1
- first version for AIX V5.1 and higher
